%define oname   ZenTest

Name:       ruby-%{oname}
Version:    4.11.0
Release:    %mkrel 1
Summary:    ZenTest provides zentest, unit_diff, autotest, and multiruby
Group:      Development/Ruby
License:    MIT
URL:        http://www.zenspider.com/ZSS/Products/ZenTest/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
Conflicts:  rubygem(autotest)
Obsoletes:  ruby-zentest < %{version}
BuildArch:  noarch

%description
ZenTest provides 4 different tools: zentest, unit_diff, autotest, and
multiruby.

ZenTest scans your target and unit-test code and writes your missing
code based on simple naming rules, enabling XP at a much quicker
pace. ZenTest only works with Ruby and Test::Unit. Nobody uses this
tool anymore but it is the package namesake, so it stays.

unit_diff is a command-line filter to diff expected results from
actual results and allow you to quickly see exactly what is wrong.

autotest is a continous testing facility meant to be used during
development. As soon as you save a file, autotest will run the
corresponding dependent tests.

multiruby runs anything you want on multiple versions of ruby. Great
for compatibility checking! Use multiruby_setup to manage your
installed versions.


#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Obsoletes:	ruby-zentest-doc < %{version}
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

rm -fr %{buildroot}%{gem_instdir}/{articles,test}

# fix shebang
ruby -pi -e 'sub(/\/usr\/local\/bin\/ruby/, "/usr/bin/env ruby")' %{buildroot}%{gem_instdir}/bin/*

%files
%{_bindir}/autotest
%{_bindir}/multigem
%{_bindir}/multiruby
%{_bindir}/multiruby_setup
%{_bindir}/unit_diff
%{_bindir}/zentest
%{gem_instdir}/
%{gem_spec}
%doc History.txt Manifest.txt README.txt articles/ example.txt


%changelog
* Thu Dec 31 2015 pterjan <pterjan> 4.11.0-1.mga6
+ Revision: 917273
- Update to 4.11.0

* Wed Oct 15 2014 umeabot <umeabot> 4.9.5-3.mga5
+ Revision: 743481
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.9.5-2.mga5
+ Revision: 688742
- Mageia 5 Mass Rebuild

* Sun Dec 29 2013 pterjan <pterjan> 4.9.5-1.mga4
+ Revision: 562945
- Update to 4.9.5 (only changes are to relax dependency to accept our version
  of rubygems and a fix to parse output of our version of minitest)

* Sat Dec 28 2013 pterjan <pterjan> 4.9.3-6.mga4
+ Revision: 562832
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 4.9.3-5.mga4
+ Revision: 561012
- 'Fix gem macros'

* Sat Oct 19 2013 umeabot <umeabot> 4.9.3-4.mga4
+ Revision: 535292
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 4.9.3-3.mga4
+ Revision: 481847
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 4.9.3-2.mga4
+ Revision: 476732
- Fix file list

* Sat Aug 17 2013 fwang <fwang> 4.9.3-1.mga4
+ Revision: 467072
- drop more files
- update file list
- new version 4.9.3
- use new macro
- new version 4.9.2

* Fri Feb 08 2013 umeabot <umeabot> 4.8.2-5.mga3
+ Revision: 395703
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 4.8.2-4.mga3
+ Revision: 380619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 4.8.2-3.mga3
+ Revision: 312558
- obsolete same name package

* Thu Nov 01 2012 fwang <fwang> 4.8.2-2.mga3
+ Revision: 311978
- rebuild for new ruby

* Fri Aug 10 2012 shlomif <shlomif> 4.8.2-1.mga3
+ Revision: 280449
- New version 4.8.2 + de-yardoc-ification.
  Thanks to aghero (one of my apprentices) for the patch.

  + solbu <solbu>
    - New version
    - Spec cleanup

* Sat Apr 16 2011 shikamaru <shikamaru> 4.5.0-1.mga1
+ Revision: 86335
- new version 4.5.0

* Sat Apr 09 2011 shikamaru <shikamaru> 4.4.0-4.mga1
+ Revision: 82554
- add Conflicts against ruby-autotest

* Tue Jan 25 2011 shikamaru <shikamaru> 4.4.0-3.mga1
+ Revision: 39650
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 4.4.0-2.mga1
+ Revision: 37486
- imported package ruby-ZenTest


* Mon Jan 24 2011 Rémy Clouard <shikamaru@mandriva.org> - 4.4.0-2mdv2011.0
- Initial package

* Fri Oct 15 2010 Rémy Clouard <shikamaru@mandriva.org> 4.4.0-1mdv2011.0
+ Revision: 585839
- import rubygem-ZenTest

